package fse.eclipse.mergehelper.ui.dialog;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.jface.dialogs.ErrorDialog;
import org.eclipse.swt.widgets.Shell;

import fse.eclipse.mergehelper.Activator;

public class DetectionErrorDialog implements IResultDialog {
    private static final String TITLE = "Detection Error";

    private final Shell shell;
    private final String message;

    public DetectionErrorDialog(Shell shell, String message) {
        this.shell = shell;
        this.message = message;
    }

    @Override
    public void result() {
        ErrorDialog.openError(shell, TITLE, message, new Status(IStatus.ERROR, Activator.PLUGIN_ID, "\t:("));
    }
}
